import { AfterViewInit, Renderer2, ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import { IJSDesignerBindingCommonOptions } from '@devexpress/analytics-core/core/binding/_jsDesignerBindingCommonOptions';
import { JSDesignerBindingCommon } from '@devexpress/analytics-core/analytics-internal-native';
import * as i0 from "@angular/core";
export declare abstract class DxReportingComponent implements AfterViewInit, OnDestroy {
    private renderer;
    private platformId;
    protected _binding: any;
    bindingSender: any;
    callbacks: {
        [key: string]: EventEmitter<any>;
    };
    control: ElementRef;
    constructor(renderer: Renderer2, platformId: Object);
    abstract getControlOptions(): IJSDesignerBindingCommonOptions;
    abstract getCallbacks(): {
        [key: string]: EventEmitter<any>;
    };
    abstract getKoBinding(options: IJSDesignerBindingCommonOptions): JSDesignerBindingCommon<unknown, IJSDesignerBindingCommonOptions>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    getEventRaiser(): (eventName: string, args?: any) => void;
    height: string;
    width: string;
    cssClass: string;
    developmentMode: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxReportingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxReportingComponent, "ng-component", never, { "height": { "alias": "height"; "required": false; }; "width": { "alias": "width"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "developmentMode": { "alias": "developmentMode"; "required": false; }; }, {}, never, never, false, never>;
}
