import { AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { IDesignerPart } from '@devexpress/analytics-core/core/utils/_utils.designerPart';
import * as i0 from "@angular/core";
export declare class DesignerComponent implements AfterViewInit {
    private _cd;
    data: {
        parts?: IDesignerPart[];
        surfaceClass: (element: HTMLElement) => string;
        rootStyle: string;
        rtl?: boolean;
        addOns?: IDesignerPart[];
        accessibilityCompliant?: any;
        designMode?: any;
    };
    root: ElementRef;
    surfaceClass: string;
    constructor(_cd: ChangeDetectorRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DesignerComponent, "dxa-designer", never, { "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
}
