import { ElementRef } from '@angular/core';
import { IMutationObserverArgs } from '@devexpress/analytics-core/accessibility/_keyboardHelperBase';
import { AccessibilitySettings } from '../../../utils/accessibility-settings';
import { BaseDisposableDirective } from './disposable.directive.base';
import * as i0 from "@angular/core";
export declare class DxMutationObserverDirective extends BaseDisposableDirective {
    private _accessibilitySettings;
    mutationObserverArgs: IMutationObserverArgs;
    constructor(el: ElementRef, _accessibilitySettings: AccessibilitySettings);
    InitAndReturnDisposeFunc(element: HTMLElement): () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxMutationObserverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DxMutationObserverDirective, "[dxMutationObserver]", never, { "mutationObserverArgs": { "alias": "dxMutationObserver"; "required": false; }; }, {}, never, never, false, never>;
}
