import { ChangeDetectorRef, TemplateRef, OnInit, OnDestroy } from '@angular/core';
import { ICollectionEditorOptions, ICollectionEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/collectioneditor/_editor';
import * as i0 from "@angular/core";
export declare class CollectionEditorComponent implements OnInit, OnDestroy {
    private _changeDetectorRef;
    options: ICollectionEditorOptions;
    contentTemplate: TemplateRef<any>;
    data: ICollectionEditorViewModel;
    private _vmSubscription;
    private _model;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngOnInit(): void;
    onScrollViewInitialized(args: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollectionEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CollectionEditorComponent, "dxa-collectioneditor", never, { "options": { "alias": "data"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
