import { OnInit, AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { Properties } from 'devextreme/ui/validator';
import { IEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/editor';
import { DxComponent } from 'devextreme-angular';
import * as i0 from "@angular/core";
export declare class EditorComponentBase<T extends IEditorViewModel, TOptions> implements OnInit, AfterViewInit, OnDestroy {
    protected _cd: ChangeDetectorRef;
    data: T;
    widget: DxComponent;
    options: TOptions;
    protected _disposableCallbacks: (() => void)[];
    validatorOptions: Properties;
    getEditorOptions(): TOptions;
    getOptions(): TOptions;
    getPrivateWidgetOptions(): any;
    onPropertyChanged(): void;
    constructor(_cd: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    isResolved(newVal: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponentBase<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponentBase<any, any>, "dxa-editor", never, { "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
}
