import { AfterViewInit, TemplateRef } from '@angular/core';
import { ITabPanelViewModel } from '@devexpress/analytics-core/core/widgets/tabPanel';
import { IActionViewModel } from '@devexpress/analytics-core/widgets/utils';
import { TemplateEngine } from '../../utils/templateEngine';
import { IObjectPropertiesViewModel, IPropertyGridEditorViewModel } from '@devexpress/analytics-core/property-grid/propertygrid';
import { IEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/editor';
import { ITreeListItemViewModel } from '@devexpress/analytics-core/widgets/treelist/_treelistItem.viewModel';
import { IColorPickerEditorViewModel } from '@devexpress/analytics-core/core/widgets/colorPickerEditor';
import { ICollectionEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/collectioneditor/_editor';
import * as i0 from "@angular/core";
export declare class TemplatesComponent implements AfterViewInit {
    private _templateEngine;
    tabPanel: TemplateRef<{
        data: ITabPanelViewModel;
    }>;
    toolbar: TemplateRef<{
        data: IActionViewModel[];
    }>;
    propertygrid: TemplateRef<{
        data: IObjectPropertiesViewModel;
    }>;
    textbox: TemplateRef<{
        data: IEditorViewModel;
    }>;
    treelistItem: TemplateRef<{
        data: ITreeListItemViewModel;
    }>;
    treelistHeaderItem: TemplateRef<{
        data: ITreeListItemViewModel;
    }>;
    treelistItemTextContent: TemplateRef<{
        data: ITreeListItemViewModel;
    }>;
    treelistHeaderItemCaptionContent: TemplateRef<{
        data: ITreeListItemViewModel;
    }>;
    datebox: TemplateRef<{
        data: IEditorViewModel;
    }>;
    selectbox: TemplateRef<{
        data: IEditorViewModel;
    }>;
    boolselect: TemplateRef<{
        data: IEditorViewModel;
    }>;
    editor: TemplateRef<{
        data: IEditorViewModel;
    }>;
    objectEditorContent: TemplateRef<{
        data: IPropertyGridEditorViewModel;
    }>;
    boolean: TemplateRef<{
        data: IEditorViewModel;
    }>;
    localizedSelectBox: TemplateRef<{
        data: IEditorViewModel;
    }>;
    numeric: TemplateRef<{
        data: IEditorViewModel;
    }>;
    colorpicker: TemplateRef<{
        data: IColorPickerEditorViewModel;
    }>;
    collectionEditor: TemplateRef<{
        data: ICollectionEditorViewModel;
        contentTemlate: TemplateRef<any>;
    }>;
    designer: TemplateRef<any>;
    constructor(_templateEngine: TemplateEngine);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplatesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TemplatesComponent, "dxa-templates", never, {}, {}, never, never, false, never>;
}
