import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { ITreeListOptions } from '@devexpress/analytics-core/widgets/treelist/_treelistItem';
import { ITreeListItemViewModel } from '@devexpress/analytics-core/widgets/treelist/_treelistItem.viewModel';
import * as i0 from "@angular/core";
export declare class TreelistComponent implements AfterViewInit, OnDestroy {
    private _element;
    _disposeCallback: () => void;
    private _options;
    private _updateTreeList;
    set options(newVal: ITreeListOptions);
    treeList: ElementRef;
    viewModel: ITreeListItemViewModel;
    constructor(_element: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreelistComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreelistComponent, "dxa-treelist", never, { "options": { "alias": "options"; "required": false; }; }, {}, never, never, false, never>;
}
