import { ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { EditorDropDownComponentBase } from '../../../../components/analytics/properties/editor/editor.dropdown.base';
import { Properties } from 'devextreme/ui/select_box';
import { IEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/editor';
import * as i0 from "@angular/core";
export declare class SignatureEditorComponent extends EditorDropDownComponentBase<IEditorViewModel, Properties> implements AfterViewInit {
    private _sanitizer;
    constructor(_cd: ChangeDetectorRef, _sanitizer: DomSanitizer);
    dropDownOptions: Properties['dropDownOptions'];
    popupPosition: any;
    getOptions(): Properties;
    beforeDetectChanges(): void;
    processImage: (image: any) => import("@angular/platform-browser").SafeUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignatureEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SignatureEditorComponent, "dxv-signature-editor", never, {}, {}, never, never, false, never>;
}
